# --- CORE AI & DATA ---
numpy==1.26.4
scikit-learn==1.5.1
joblib==1.4.2
pandas==2.2.2
pyarrow==15.0.0

# --- COMUNICAZIONE & SISTEMA ---
paho-mqtt==2.1.0
requests==2.32.3
PyYAML==6.0.2
psutil==5.9.8
pathlib==1.0.1

# --- WEB & MAPPE ---
streamlit==1.49.1
pillow==10.2.0
fastapi==0.115.0
uvicorn[standard]==0.30.6
folium==0.15.1
streamlit-folium==0.26.1

# --- VISUALIZZAZIONE ---
matplotlib==3.9.2
seaborn==0.13.2
